**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/26.2/logs/vql-query-profiler/download-session-results.md

# Download Session Results

Download the profiler session log file in `.zip` format. Results are available 15 minutes after a session has ended.

<Endpoint path="/api/{version}/logs/query/profiler/{session_name}/results" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/zip` |

## Path Parameters {#path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{session_name}` | The name of the session for which to download results. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {AUTH_VALUE}" \
-o profiler_results.zip \
https://{vault_dns}/api/v26.2/logs/query/profiler/test_session__c/results

```
</CodeExample>

## Response {#response}

`Content-Type: application/zip;charset=UTF-8`  

`Content-Disposition: attachment;filename="query_profiler__c.zip"`

## Response Details {#response-details}

On SUCCESS, Vault retrieves the log from the specified date as a `.zip` file. The HTTP Response Header `Content-Type` is set to `application/octet-stream`. The returned CSV log includes the following data:

<FieldTable>
| Name | Description |
| --- | --- |
| `timestamp` | Timestamp of the query execution. |
| `user_id` | ID of the user who ran the query. |
| `user_name` | Username of the user who ran the query. |
| `query_id` | Unique identifier for the query. The log generates exactly one row per `query_id`. |
| `query_string` | The VQL query string executed by the user. Maximum query length is 50,000 characters. |
| `execution_id` | Execution ID of the initial query. This ID is also exposed in API usage logs. |
| `query_target` | The specific query target for the query. |
| `query_type` | The type of query, one of `EXECUTE`, `COUNT`, `VALIDATE`, or `SHOW`. |
| `query_origin` | The source of the query: `API`, `SDK`, or `ALL`. |
| `api_version` | The API version used when executing the query with Vault API. |
| `response_status` | The response status of the initial query. |
| `error` | Error message, if any, truncated to 1,500 characters. |
| `warnings` | Warning messages, if any, truncated to 1,500 characters. |
| `error_type` | The specific type of error encountered. |
| `num_records_returned` | Total number of records returned on the primary query. |
| `num_pages_returned` | Total number of pages returned for the primary query. |
| `num_records_accessed` | Number of records accessed on the primary query. This value is aggregated if the same page is accessed multiple times. |
| `num_pages_accessed` | Number of pages accessed on the primary query. |
| `query_execution_time` | Execution time for the initial query. |
| `query_execution_time_subsequent_pages` | Aggregate execution time for all subsequent pages. |
</FieldTable>

---

**Previous:** [End Active Session](/vault-api/api-reference/26.2/logs/vql-query-profiler/end-active-session)  
**Next:** [Delete Session](/vault-api/api-reference/26.2/logs/vql-query-profiler/delete-session)